SphinxClient::setLimits
SphinxClient::setMaxQueryTime
SphinxClient
PHP Manual

# SphinxClient::setMatchMode

(PECL sphinx >= 0.1.0)

SphinxClient::setMatchMode — Set full-text query matching mode

### Description

public bool SphinxClient::setMatchMode ( int `$mode` )

Sets full-text query matching mode. `mode` is one of the constants listed below.

Match modes
Constant | Description
--- | ---
SPH_MATCH_ALL | Match all query words (default mode).
SPH_MATCH_ANY | Match any of query words.
SPH_MATCH_PHRASE | Match query as a phrase, requiring perfect match.
SPH_MATCH_BOOLEAN | Match query as a boolean expression.
SPH_MATCH_EXTENDED | Match query as an expression in Sphinx internal query language.
SPH_MATCH_FULLSCAN | Enables fullscan.
SPH_MATCH_EXTENDED2 | The same as `SPH_MATCH_EXTENDED` plus ranking and quorum searching support.

### Parameters

`mode`

  Matching mode.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- SphinxClient::setRankingMode
- SphinxClient::setSortMode

SphinxClient::setLimits
SphinxClient::setMaxQueryTime
SphinxClient
PHP Manual